Bug 568903 - debuginfo-install ignores --nogpgcheck parameter
debuginfo-install ignores --nogpgcheck parameter
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: 571012 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-02-26 16:05 EST by Nathanael Noblet
Modified: 2014-01-21 18:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-16 18:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathanael Noblet 2010-02-26 16:05:52 EST
Description of problem:
running debuginfo-install --nogpgcheck fails with an inability to install packages as they are unsigned.

It also fails if yum.conf has nogpgcheck=1 or 0...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.debuginfo-install --nogpgcheck
Actual results:
unable to install unsigned packages

Expected results:
installation continues...

Additional info:
Comment 1 seth vidal 2010-03-01 15:09:08 EST
Can you include the complete output you're seeing from debuginfo-install?

The only thing I can think of is that value for the debuginfo repos is not being set when we add/enable those repos.
Comment 2 seth vidal 2010-03-01 15:29:57 EST
Please test this patch to debuginfo-install.


I think it will do what you want.
Comment 3 Nathanael Noblet 2010-03-01 17:04:39 EST
I'll test it out tonight... I'm a bit part time at the moment but will provide info once I have had a chance to test...
Comment 4 Nathanael Noblet 2010-03-02 22:27:33 EST
It seems to work, however as I don't know if the packages have been now signed so may be false positive... Not sure how to verify that. rpm -K on all previously downloaded packages in the yum repo look like they are signed but I'm not sure if I'm reading that correctly.
Comment 5 seth vidal 2010-03-02 23:12:23 EST
rpm -K -v file.rpm

the -v makes it easier to read.
Comment 6 Nathanael Noblet 2010-03-03 12:46:15 EST
looks like they are signed now so I can't really test that it is properly passing it through...
Comment 7 seth vidal 2010-03-06 09:48:38 EST
*** Bug 571012 has been marked as a duplicate of this bug. ***
Comment 8 Nathanael Noblet 2010-04-16 18:21:12 EDT
Seems to be working now. I'm a bit confused as to how honestly since it seems the version in F13 is the same as the one I reported against, but it works...

debuginfo-install --disablerepo=* --enablerepo=rawhide bash

Results in:

Package yum-plugin-auto-update-debug-info-1.1.26-3.fc14.noarch.rpm is not signed

debuginfo-install --nogpgcheck --disablerepo=* --enablerepo=rawhide bash

Results in:
  ncurses-debuginfo.i686 0:5.7-7.20100130.fc13                        yum-plugin-auto-update-debug-info.noarch 0:1.1.26-3.fc14                       

both /etc/yum.conf and /etc/yum.repos.d/fedora-rawhide.repo had nogpgcheck removed and gpgcheck=1

I think it is safe to close

Note You need to log in before you can comment on or make changes to this bug.